// Listen and Plot Wave File
[snoise,fs] = wavread('sample_noisy.wav');
N = length(snoise);
//sound(snoise,fs)
t = (1:N)/fs;
plot(t, snoise);

// Plot the Fourier Transform
f = fs*(0:N-1)/N;
Y = fft(snoise);
Y2 = Y./max(abs(Y)); 
plot(f(1:N/2+1),abs(Y2(1:N/2+1)));


//Create a Butterworth IIR Low Pass Filter to remove noise
lisys = iir (7, 'lp' , 'butt', [.2 0], [0 0]);
[hzm,fr]=frmag(lisys,256);
 plot(fr'.*fs,hzm','r')
// Run the signal through the filter
outsig = flts (snoise, lisys);
//plot(t, outsig);
sound(outsig,fs)

